﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductEditor.ascx.cs" Inherits="Core.Web.Admin.Controls.Editor.ProductEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <UI:ActionResultView runat="server" ID="SessionActionResult" ClearActionResultAfterRender="true" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.ProductDetails%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Title)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="Title" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Title" Template-PropertyName="Title" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% if (ProductModelTypeChoiceAvailable) { %>
                    <tr class="<%=GetRegionCSSClass(ProductTypeField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ProductTypeFieldView" InputToDisplayID="ProductTypeField" />
                      </td>
                      <td class="control">
                        <UI:DropDownList ID="ProductTypeField" runat="server" Template-PropertyName="ProductType" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <%} %>
                    <tr class="<%=GetRegionCSSClass(Reference)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ReferenceFieldView" InputToDisplayID="Reference" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Reference" Template-PropertyName="Reference" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Price)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="PriceFieldView" InputToDisplayID="Price" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Price" Template-PropertyName="Price" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(IncludeVAT)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="IncludeVATFieldView" InputToDisplayID="IncludeVAT" />
                      </td>
                      <td class="control">
                        <UI:CheckBox runat="server" ID="IncludeVAT" Template-PropertyName="IncludeVAT" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Summary)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="SummaryFieldView" InputToDisplayID="Summary" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Summary" Template-PropertyName="Summary" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Description)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="Description" />
                      </td>
                      <td class="control">
                        <UI:TextArea runat="server" ID="Description" Template-PropertyName="Description"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(AverageRating)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="FieldView1" InputToDisplayID="AverageRating" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="AverageRating" Template-PropertyName="AverageRating"
                          ExtendedTemplate-HighlightOnFocus="true" Enabled="false" Template-IsForSave="false" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <fieldset runat="server" id="QuantityRegion">
          <Control:CollapsableBox runat="server" ID="QuantityCollapsableBox" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.StockData %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Quantity)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="QuantityFieldView" InputToDisplayID="Quantity" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Quantity" Template-PropertyName="Quantity" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(ConstantStockLevel)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ConstantStockLevelFieldView" InputToDisplayID="ConstantStockLevel" />
                      </td>
                      <td class="control">
                        <UI:CheckBox runat="server" ID="ConstantStockLevel" Template-PropertyName="ConstantStockLevel"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% if (IsOutOfStockEnabled)
                       { %>
                    <tr class="<%=GetRegionCSSClass(OutOfStock)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="OutOfStockFieldView" InputToDisplayID="OutOfStock" />
                      </td>
                      <td class="control">
                        <UI:CheckBox runat="server" ID="OutOfStock" Template-PropertyName="OutOfStock" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(StockPeriod)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="StockPeriodFieldView" InputToDisplayID="StockPeriod" />
                      </td>
                      <td class="control">
                        <UI:DropDownList ID="StockPeriod" runat="server" Template-PropertyName="StockPeriod"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% } %>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="CollapsableBox1" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.SupplierData %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Manufacturer)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ManufacturerFieldView" InputToDisplayID="Manufacturer" />
                      </td>
                      <td class="control">
                        <UI:DropDownList ID="Manufacturer" runat="server" Template-PropertyName="Manufacturer"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Supplier)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="SupplierFieldView" InputToDisplayID="Supplier" />
                      </td>
                      <td class="control">
                        <UI:DropDownList ID="Supplier" runat="server" Template-PropertyName="Supplier" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% if (IsFeaturedEnabled) { %>
                      <tr class="<%=GetRegionCSSClass(SpecialOffer)%>">
                        <td class="label">
                          <UI:FieldView runat="server" ID="SpecialOfferFieldView" InputToDisplayID="SpecialOffer" />
                        </td>
                        <td class="control">
                          <UI:CheckBox runat="server" ID="SpecialOffer" Template-PropertyName="SpecialOffer" ExtendedTemplate-HighlightOnFocus="true" />
                        </td>
                      </tr>                       
                      <tr class="<%=GetRegionCSSClass(Featured)%>">
                        <td class="label">
                          <UI:FieldView runat="server" ID="FeaturedFieldView" InputToDisplayID="Featured" />
                        </td>
                        <td class="control">
                          <UI:CheckBox runat="server" ID="Featured" Template-PropertyName="Featured" ExtendedTemplate-HighlightOnFocus="true" />
                        </td>
                      </tr>
                    <% } %>
                    <tr class="<%=GetRegionCSSClass(SubscriptionOnly)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="SubscriptionOnlyFieldView" InputToDisplayID="SubscriptionOnly" />
                      </td>
                      <td class="control">
                        <UI:CheckBox runat="server" ID="SubscriptionOnly" Template-PropertyName="SubscriptionOnly"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="MetaDataCollapsableBox" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.ProductMetaData %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(UrlField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="UrlFieldView" InputToDisplayID="UrlField" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="UrlField" Template-PropertyName="Url" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>                  
                    <tr class="<%=GetRegionCSSClass(MetaTitle)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="MetaTitleFieldView" InputToDisplayID="MetaTitle" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="MetaTitle" Template-PropertyName="MetaTitle" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(MetaKeywords)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="MetaKeywordsFieldView" InputToDisplayID="MetaKeywords" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="MetaKeywords" Template-PropertyName="MetaKeywords"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(MetaDescription)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="MetaDescriptionFieldView" InputToDisplayID="MetaDescription" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="MetaDescription" Template-PropertyName="MetaDescription"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
      </td>
    </tr>
  </tbody>
</table>
