﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="ProductKitEditorPage.aspx.cs" Inherits="Core.Web.Admin.Pages.ProductKitPages.ProductKitEditorPage" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<%@ Register Src="~/Admin/Controls/Editor/ProductKitEditor.ascx" TagName="ProductKitEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Products/ProductCategoriesEditor.ascx" TagName="ProductCategories" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/ProductKits/ProductKitRelatedCategories.ascx" TagName="ProductKitRelatedCategories" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/ProductKits/ProductKitItemsEditor.ascx" TagName="ProductKitItemsEditor" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="ProductKitEditorUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <div class="management-buttons flo">
        <uc:HelpButton ID="HelpButton" runat="server" />
        <h2 class="edit-header"><%=PageTitle%></h2>
      </div>
      <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tbody>
          <tr>
            <td width="100%" valign="top">
              <Tab:ProductKitTabContainer ID="TabContainer" runat="server">
                <Items>
                  <Tab:ProductKitTabItem runat="server" ID="DetailsTab" Active="true" ActiveForNewEntity="true">
                    <InnerContent>
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                        <tbody>
                          <tr>
                            <td>
                              <uc:ProductKitEditor ID="ProductKitEditor" runat="server" />
                            </td>
                          </tr>
                        </tbody> 
                      </table> 
                    </InnerContent>
                  </Tab:ProductKitTabItem>
                  <Tab:ProductKitTabItem runat="server" ID="RelatedCategoriesTab" Active="true" ActiveForNewEntity="false">
                    <InnerContent>
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                        <tbody>
                          <tr>
                            <td>
                              <uc:ProductCategories ID="RelatedCategories" runat="server" OnePerPage="false" />
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </InnerContent>
                  </Tab:ProductKitTabItem>                  
                  <Tab:ProductKitTabItem runat="server" ID="KitItemsCategoriesTab" Active="true" ActiveForNewEntity="false">
                    <InnerContent>
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                        <tbody>
                          <tr>
                            <td>
                              <uc:ProductKitRelatedCategories runat="server" ID="InnerCategories" />
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </InnerContent>
                  </Tab:ProductKitTabItem> 
                  <Tab:ProductKitTabItem runat="server" ID="ItemsTab" Active="true" ActiveForNewEntity="false">
                      <InnerContent>
                        <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                          <tbody>
                            <tr>
                              <td>
                                <uc:ProductKitItemsEditor runat="server" ID="KitItems" />
                              </td>
                            </tr>
                          </tbody>
                        </table>                        
                      </InnerContent>
                  </Tab:ProductKitTabItem>                                   
                </Items>
              </Tab:ProductKitTabContainer>              
            </td>
            <td valign="top" class="tabs-box-column">
              <uc:Toolbar runat="server" ID="VerticalToolbar" />
            </td>
          </tr>
        </tbody>
      </table>      
    </ContentTemplate>    
  </Ajax:UpdatePanel>
</asp:Content>
