﻿<%@ Import Namespace="iFramework.Core.Utilities"%>
<%@ Import Namespace="Core.DBO.Entity.Products"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductShortDetails.ascx.cs"
  Inherits="Core.Web.Controls.Products.ProductShortDetails" %>

<%@ Import Namespace="Core.Web.Constants.UI"%>
  
<%@ Register TagName="ProductImages" TagPrefix="uc" Src="~/Controls/Products/ProductImages.ascx" %>

<script type="text/javascript">
 
  $(function() {
    $('#<%=QuantityFieldID%>').numeric();    
    <%if (!CurrentProduct.IsDigital) {%>      
      $('#<%=QuantityFieldID%>').upDownField({upButton: '#up', downButton: '#down'}, {maxValue: <%=MaxAvailableQuantity%>});
    <%}%>
  });

</script>

<div class="MiddleSection">
  <div class="ItemDetails">
    <ul class="ColBase">
      <li class="ColX-A">
        <uc:ProductImages runat="server" ID="Images" />
      </li>
      <li class="ColX-B">
        <div class="DataConfiguration">
          <table class="TableViewA Flexible" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <th scope="row">
                <%=UI.Current.ProductCode%>
              </th>
              <td>
                <%=ProductReference%>
              </td>
            </tr>
            <tr>
              <th scope="row">
                <%=UI.Current.Price%>
              </th>
              <td>
                <span class="Selected total-price">
                  <%=UserMoney(Price)%></span>
              </td>
            </tr>
            
            <%if (!CurrentProduct.IsDigital) { %>            
              <tr>
                <th scope="row">
                  <%=UI.Current.Stock%>
                </th>
                <td>
                  <%=Availability%>
                </td>
              </tr>
            <% } %>
            
            <%if (ShowSupplier) { %>
              <tr>
                <th scope="row">
                  <%=UI.Current.Supplier%>
                </th>
                <td>
                  <span>
                    <%=Supplier%></span>
                </td>
              </tr>
            <%} %>
            
            <%if (ShowManufacturer) { %>
              <tr>
                <th scope="row">
                  <%=UI.Current.Manufacturer%>
                </th>
                <td>
                  <%=Manufacturer%>
                </td>
              </tr>
            <%} %>           
            <%if (IsProductQuantable) {%>
              <tr class="buy-enable">
                <th scope="row">
                  <%=UI.Current.Quantity%>
                </th>
                <td>
                  <div class="FormRow">
                    <dl>
                      <dt>
                        <span class="InputLine InputLineSize-AAA">
                          <UI:TextBox runat="server" ID="QuantityField" Text="1" RenderLabelWhenDisabled="false" />
                        </span>
                      </dt>
                      <dd>
                        <div class="AddControl">
                          <ul>
                            <li class="Add">
                              <a id="up" href="javascript:void(0);"><%=UI.Current.IncreaseQuantityText%></a></li>
                            <li class="Remove">
                              <a id="down" href="javascript:void(0);"><%=UI.Current.DecreaseQuantityText%></a></li>
                          </ul>
                        </div>
                      </dd>
                    </dl>
                  </div>
                </td>
              </tr>
            <%} else {%>
              <asp:HiddenField runat="server" ID="QuantityHiddenField" Value="1" />
            <%} %>
            <asp:Repeater runat="server" ID="AttributesRepeater">
              <ItemTemplate>
                <tr>
                  <th scope="row">
                    <%#TextUtility.FormatText(Eval(ProductAttribute.PAttributeName) as String)%>
                  </th>
                  <td>
                    <%#TextUtility.FormatText(Eval(ProductAttribute.PSelectedValueValue) as String)%>
                  </td>
                </tr>
              </ItemTemplate>
            </asp:Repeater>
          </table>
        </div>
      </li>
    </ul>
  </div>
</div>
