﻿/// <reference path="jcore.js" />

(function($) {
			
	  $.fn.upDownField = function(elements, options) {
	    var options = $.extend({}, $.fn.upDownField.defaults, options);
		    
	    upDownField = function(field, elements, options) {
	      this.options = options;

        this.field = field;
        this.upButton = elements.upButton;        
	      this.downButton = elements.downButton;        
	      
	      this.init();		      
	    }
	    
		  upDownField.prototype = {
			
		    init : function() {
		      if (this.field && $(this.field).val() == '') {
		        $(this.field).val(this.options.defaultValue);
		      }

          this.bindButtons();			                
		    },
			  
		    getValue : function() {
		      fieldValue = $(this.field).val();
		      if (fieldValue) {
		        return parseInt($(this.field).val());
		      }
		      else {
		        return 1;
		      }
		    },
			  
		    bindButtons : function() {
          $(this.upButton).bind('click', Function.createDelegate(this, this.upButtonHandler));
          $(this.downButton).bind('click', Function.createDelegate(this, this.downButtonHandler));
		    },
			  	  			  
		    upButtonHandler : function() {
		      if (this.field) {		   
            currentValue = this.getValue();
            if (currentValue < this.options.minValue) {
              currentValue = this.options.minValue - 1;
            }
            if (currentValue < this.options.maxValue) {
              $(this.field).val(currentValue + 1);
            }
          }
		    },			  
			  		  
		    downButtonHandler : function() {
		      if (this.field) {		    
            currentValue = this.getValue();
            if (currentValue > this.options.maxValue) {
              currentValue = this.options.maxValue + 1;
            }            
            if (currentValue > this.options.minValue) {
              $(this.field).val(currentValue - 1);
            }
          }
        }
		  };
		    
	    $(this).each(function() {											
        return new upDownField(this, elements, options);
      });
		};			
		    
    $.fn.upDownField.defaults = {
      defaultValue : 1, 
      minValue : 1, 
      maxValue : 100, 
      step: 1
    };				
	
})(jQuery);