﻿/* 

    Author: Vasili Baranov
    Date:   26.05.2009

*/

/*
Deletes currency rates, related to the currencies, that have been deleted. 
This trigger is introduced, as ms sql server doesn't allow two foreign keys 
Currencies.CurrencyID->CurrencyRates.SourceCurrencyID and 
Currencies.CurrencyID->CurrencyRates.DestiantionCurrencyID with cascade delete. 
So one of them has an internal cascade delete trigger, and the current trigger implements the missing integrity.
*/

CREATE TRIGGER [DeleteCurrencyRates]
ON [dbo].[Currencies]
AFTER DELETE
AS 
DELETE FROM CurrencyRates Where CurrencyRates.SourceCurrencyID 
IN (SELECT CurrencyID FROM deleted)