﻿/* 

    Author: Roman Zaharenkov
    Date:   30.05.2009

*/

-- Standard Alter Table SQL

ALTER TABLE dbo.Customers DROP CONSTRAINT FK_Customers_CustomerSubscriptions

ALTER TABLE dbo.Customers DROP COLUMN CustomerSubscriptionID

ALTER TABLE dbo.PaymentOrderItems DROP CONSTRAINT FK_PaymentOrderItems_GiftVouchers

ALTER TABLE dbo.PaymentOrderItems DROP COLUMN GiftVoucherID

ALTER TABLE dbo.SubscriptionOrderItems DROP CONSTRAINT SubscriptionOrderItems_PK

ALTER TABLE dbo.SubscriptionOrderItems ADD CONSTRAINT SubscriptionOrderItems_PK
PRIMARY KEY CLUSTERED (SubscriptionOrderItemID)


-- Drop Referencing Constraint SQL

ALTER TABLE dbo.SubscriptionOrderItems DROP CONSTRAINT FK_SubscriptionOrderItems_SubscriptionOffers


-- Drop Constraint, Rename and Create Table SQL

EXEC sp_rename 'dbo.CustomerSubscriptions.CustomerSubscriptions_PK','CustomerSu_05302009140726001','INDEX'

EXEC sp_rename 'dbo.FK_CustomerSubscriptions_CustomerProfiles','FK_Custome_05302009140726002'

EXEC sp_rename 'dbo.FK_CustomerSubscriptions_Subscriptions','FK_Custome_05302009140726003'

EXEC sp_rename 'dbo.CustomerSubscriptions','CustomerSu_05302009140726000',OBJECT

CREATE TABLE dbo.CustomerSubscriptions
(
    CustomerSubscriptionID int       IDENTITY,
    ExpiryDate             datetime  NULL,
    IsDebugObject          bit       NULL,
    SubscriptionID         int       NULL,
    CustomerID             int       NOT NULL,
    PaymentOrderID         int       NULL,
    IsActive               bit       NULL,
    Length                 int       NULL
)
ON [PRIMARY]

EXEC sp_rename 'dbo.SubscriptionOffers.SubscriptionOffers_PK','Subscripti_05302009140727001','INDEX'

EXEC sp_rename 'dbo.FK_SubscriptionOffers_Subscriptions','FK_Subscri_05302009140727002'

EXEC sp_rename 'dbo.SubscriptionOffers','Subscripti_05302009140727000',OBJECT

CREATE TABLE dbo.SubscriptionOffers
(
    SubscriptionOfferID int  IDENTITY,
    SubscriptionID      int  NULL,
    Length              int  NULL,
    IsDebugObject       bit  NULL,
    ProductID           int  NOT NULL
)
ON [PRIMARY]

-- Insert Data SQL

SET IDENTITY_INSERT dbo.CustomerSubscriptions ON

INSERT INTO dbo.CustomerSubscriptions(
                                      CustomerSubscriptionID,
                                      ExpiryDate,
                                      IsDebugObject,
                                      SubscriptionID,
                                      CustomerID,
                                      PaymentOrderID,
                                      IsActive,
                                      Length
                                     )
                               SELECT 
                                      CustomerSubscriptionID,
                                      ExpiryDate,
                                      IsDebugObject,
                                      SubscriptionID,
                                      0,
                                      NULL,
                                      NULL,
                                      NULL
                                 FROM dbo.CustomerSu_05302009140726000 

SET IDENTITY_INSERT dbo.CustomerSubscriptions OFF

SET IDENTITY_INSERT dbo.SubscriptionOffers ON

INSERT INTO dbo.SubscriptionOffers(
                                   SubscriptionOfferID,
                                   SubscriptionID,
                                   Length,
                                   IsDebugObject,
                                   ProductID
                                  )
                            SELECT 
                                   SubscriptionOfferID,
                                   SubscriptionID,
                                   Length,
                                   IsDebugObject,
                                   0
                              FROM dbo.Subscripti_05302009140727000 

SET IDENTITY_INSERT dbo.SubscriptionOffers OFF

-- Add Constraint SQL

ALTER TABLE dbo.CustomerSubscriptions ADD CONSTRAINT CustomerSubscriptions_PK
PRIMARY KEY CLUSTERED (CustomerSubscriptionID)

ALTER TABLE dbo.SubscriptionOffers ADD CONSTRAINT SubscriptionOffers_PK
PRIMARY KEY CLUSTERED (SubscriptionOfferID)


-- Add Referencing Foreign Keys SQL

ALTER TABLE dbo.SubscriptionOrderItems ADD CONSTRAINT FK_SubscriptionOrderItems_SubscriptionOffers
FOREIGN KEY (SubscriptionOfferID)
REFERENCES dbo.SubscriptionOffers (SubscriptionOfferID)

ALTER TABLE dbo.CustomerSubscriptions ADD CONSTRAINT FK_CustomerSubscriptions_Subscriptions
FOREIGN KEY (SubscriptionID)
REFERENCES dbo.Subscriptions (SubscriptionID)

ALTER TABLE dbo.CustomerSubscriptions ADD CONSTRAINT FK_CustomerSubscriptions_Customers
FOREIGN KEY (CustomerID)
REFERENCES dbo.Customers (CustomerID)
 ON DELETE CASCADE

ALTER TABLE dbo.CustomerSubscriptions ADD CONSTRAINT FK_CustomerSubscriptions_PaymentOrders
FOREIGN KEY (PaymentOrderID)
REFERENCES dbo.PaymentOrders (PaymentOrderID)
 ON DELETE SET NULL

ALTER TABLE dbo.SubscriptionOffers ADD CONSTRAINT FK_SubscriptionOffers_Subscriptions
FOREIGN KEY (SubscriptionID)
REFERENCES dbo.Subscriptions (SubscriptionID)
 ON DELETE CASCADE

ALTER TABLE dbo.SubscriptionOffers ADD CONSTRAINT FK_SubscriptionOffers_Products
FOREIGN KEY (ProductID)
REFERENCES dbo.Products (ProductID)
 ON DELETE CASCADE


DROP TABLE CustomerSu_05302009140726000
DROP TABLE Subscripti_05302009140727000

DROP TABLE dbo.SubscriptionOrderItems